package com.diagbot.enums.data;

import lombok.Setter;

public enum DoctorAdviceStatusEnum implements AKeyedNamed {
    IP_ADVICE("IP", "新开"),
    SC_ADVICE("SC", "复核"),
    CM_ADVICE("CM", "执行"),
    DC_ADVICE("DC", "停止"),
    HD_ADVICE("HD", "删除"),
    CA_ADVICE("CA", "撤销");

    @Setter
    private String key;

    @Setter
    private String name;

    DoctorAdviceStatusEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static DoctorAdviceStatusEnum getEnum(String key) {
        for (DoctorAdviceStatusEnum item : DoctorAdviceStatusEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        DoctorAdviceStatusEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
