package com.diagbot.enums.data;

import lombok.Setter;

public enum medicalRecordQualityEnum implements AKeyedNamed{

    A("1", "甲"),
    B("2", "乙"),
    C("3", "丙");

    @Setter
    private String key;

    @Setter
    private String name;

    medicalRecordQualityEnum(String key, String name) {
        this.key = key;
        this.name = name;
    }

    public static medicalRecordQualityEnum getEnum(String key) {
        for (medicalRecordQualityEnum item : medicalRecordQualityEnum.values()) {
            if (key.equals(item.getKey())) {
                return item;
            }
        }
        return null;
    }

    public static String getName(String key) {
        medicalRecordQualityEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
